Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallStateDiscarded

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallState
it.tdlight.jni.TdApi.CallStateDiscarded

Enclosing class:
  TdApi

public static final class TdApi.CallStateDiscarded extends TdApi.CallState
The call has ended successfully.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`needDebugInformation`
True, if the call debug information must be sent to the server.
`boolean`
`needLog`
True, if the call log must be sent to the server.
`boolean`
`needRating`
True, if the call rating must be sent to the server.
`TdApi.CallDiscardReason`
`reason`
The reason why the call has ended.

## Constructor Summary

Constructors
Constructor
Description
`CallStateDiscarded()`
The call has ended successfully.
`CallStateDiscarded(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation, boolean needLog)`
The call has ended successfully.
`CallStateDiscarded(DataInput input)`
The call has ended successfully.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### reason

public TdApi.CallDiscardReason reason
The reason why the call has ended.

### needRating

public boolean needRating
True, if the call rating must be sent to the server.

### needDebugInformation

public boolean needDebugInformation
True, if the call debug information must be sent to the server.

### needLog

public boolean needLog
True, if the call log must be sent to the server.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CallStateDiscarded

public CallStateDiscarded()
The call has ended successfully.

### CallStateDiscarded

public CallStateDiscarded(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation, boolean needLog)
The call has ended successfully.

Parameters:
  `reason` - The reason why the call has ended.
  `needRating` - True, if the call rating must be sent to the server.
  `needDebugInformation` - True, if the call debug information must be sent to the server.
  `needLog` - True, if the call log must be sent to the server.

### CallStateDiscarded

public CallStateDiscarded(DataInput input) throws IOException
The call has ended successfully.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`